// CFormItem_TextBox.h
//

#if !defined(_CFORMITEM_TEXTBOX_H_)
#define _CFORMITEM_TEXTBOX_H_

#include "stdafx.h"
#include "XmlBaseFormItem.h"
#include <string>

using namespace std;

class CXmlFormItem_TextBox: public CXmlBaseFormItem
{
public:
	CXmlFormItem_TextBox();
	virtual ~CXmlFormItem_TextBox();

// implementation of CXmlSerializable
//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);


public:
	virtual void SetText(const wstring& text);
	virtual wstring GetText();

	virtual enFormItemType GetItemType();
	
protected:

	wstring text_;
};

#endif //!defined(_CFORMITEM_TEXTBOX_H_)